Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Encryption.PkzipClassicManaged Class Referencesealed

Defines a wrapper object to access the Pkzip algorithm. This class cannot be inherited. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Encryption.PkzipClassicManaged:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Encryption.PkzipClassicManaged:
[legend]

## Public Member Functions
override void | GenerateIV ()
| Generate an initial vector.
override void | GenerateKey ()
| Generate a new random key.
override ICryptoTransform | CreateEncryptor (byte[] rgbKey, byte[] rgbIV)
| Create an encryptor.
override ICryptoTransform | CreateDecryptor (byte[] rgbKey, byte[] rgbIV)
| Create a decryptor.

## Properties
override int | BlockSize`[get, set]`
| Get / set the applicable block size in bits.
override KeySizes[] | LegalKeySizes`[get]`
| Get an array of legal key sizes.
override KeySizes[] | LegalBlockSizes`[get]`
| Get an array of legal block sizes.
override byte[] | Key`[get, set]`
| Get / set the key value applicable.

## Private Attributes
byte[] | key_

## Additional Inherited Members
Static Public Member Functions inherited from ICSharpCode.SharpZipLib.Encryption.PkzipClassic
static byte[] | GenerateKeys (byte[] seed)
| Generates new encryption keys based on given seed.

## Detailed Description

Defines a wrapper object to access the Pkzip algorithm. This class cannot be inherited.

## Member Function Documentation

## ◆ CreateDecryptor()

override ICryptoTransform ICSharpCode.SharpZipLib.Encryption.PkzipClassicManaged.CreateDecryptor | ( | byte[] | rgbKey,
|  | byte[] | rgbIV )

Create a decryptor.

Parameters

  rgbKey | Keys to use for this new decryptor.
  rgbIV | Initialisation vector for the new decryptor.

Returns
  Returns a new decryptor.

Here is the caller graph for this function:

## ◆ CreateEncryptor()

override ICryptoTransform ICSharpCode.SharpZipLib.Encryption.PkzipClassicManaged.CreateEncryptor | ( | byte[] | rgbKey,
|  | byte[] | rgbIV )

Create an encryptor.

Parameters

  rgbKey | The key to use for this encryptor.
  rgbIV | Initialisation vector for the new encryptor.

Returns
  Returns a new PkzipClassic encryptor

Here is the caller graph for this function:

## ◆ GenerateIV()

override void ICSharpCode.SharpZipLib.Encryption.PkzipClassicManaged.GenerateIV | ( |  | ) |

Generate an initial vector.

## ◆ GenerateKey()

override void ICSharpCode.SharpZipLib.Encryption.PkzipClassicManaged.GenerateKey | ( |  | ) |

Generate a new random key.

## Member Data Documentation

## ◆ key_

byte [] ICSharpCode.SharpZipLib.Encryption.PkzipClassicManaged.key_
| private

## Property Documentation

## ◆ BlockSize

override int ICSharpCode.SharpZipLib.Encryption.PkzipClassicManaged.BlockSize
| get set

Get / set the applicable block size in bits.

The only valid block size is 8.

## ◆ Key

override byte [] ICSharpCode.SharpZipLib.Encryption.PkzipClassicManaged.Key
| get set

Get / set the key value applicable.

## ◆ LegalBlockSizes

override KeySizes [] ICSharpCode.SharpZipLib.Encryption.PkzipClassicManaged.LegalBlockSizes
| get

Get an array of legal block sizes.

## ◆ LegalKeySizes

override KeySizes [] ICSharpCode.SharpZipLib.Encryption.PkzipClassicManaged.LegalKeySizes
| get

Get an array of legal key sizes.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Encryption/PkzipClassic.cs